Bug 1881197

Summary: objectweb-asm-9.1 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: objectweb-asmAssignee: Java Package Maintainers <java-maint-sig>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: akurtako, decathorpe, dwalluck, fnasser, java-maint-sig, java-sig-commits, jerboaa, mat.booth, mizdebsk
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: objectweb-asm-9.1-1.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-19 16:09:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Upstream Release Monitoring 2020-09-21 19:01:05 UTC
Latest upstream release: 9.0
Current version/release in rawhide: 8.0.1-1.fc34
URL: http://asm.ow2.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7177/

Comment 1 Alexander Kurtakov 2021-01-19 07:25:47 UTC
Eclipse requires and uses objectweb-asm 9.0 and patches to several projects have to be applied to restore compatibility with Java 8. 9.0 release also adds support for Java 15 features so it would be nice to have it updated in fedora.

Comment 2 Fabio Valentini 2021-01-19 11:46:18 UTC
> [...] it would be nice to have it updated in fedora.

I agree! Feel free to submit a PR for the 9.0 update, if you can. Otherwise, this update will probably keep sitting in the Java SIG's backlog for a while ...

Comment 3 Upstream Release Monitoring 2021-02-06 20:08:55 UTC
Latest upstream release: 9.1
Current version/release in rawhide: 8.0.1-2.fc34
URL: http://asm.ow2.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7177/